## knewstuff 5.107.0

=== debian/changelog ===
knewstuff (5.107.0-2) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Fix FTCFBS: Always build the designer plugin, thx to Helmut Grohne
    (Closes: #1057297).

 -- Patrick Franz <deltaone@debian.org>  Wed, 06 Dec 2023 18:56:16 +0100

knewstuff (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:45 +0200

knewstuff (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:02 +0100
