=== debian/control ===
--- 
+++ 
@@ -1,31 +1,32 @@
 Source: knewstuff
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                gettext,
                kirigami2-dev (>= 2.12.0~),
-               libkf5archive-dev (>= 5.115.0~),
-               libkf5attica-dev (>= 5.115.0~),
-               libkf5completion-dev (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5iconthemes-dev (>= 5.115.0~),
-               libkf5itemviews-dev (>= 5.115.0~),
-               libkf5kio-dev (>= 5.115.0~),
-               libkf5package-dev (>= 5.115.0~),
-               libkf5service-dev (>= 5.115.0~),
+               libkf5archive-dev (>= 5.116.0~),
+               libkf5attica-dev (>= 5.116.0~),
+               libkf5completion-dev (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5iconthemes-dev (>= 5.116.0~),
+               libkf5itemviews-dev (>= 5.116.0~),
+               libkf5kio-dev (>= 5.116.0~),
+               libkf5package-dev (>= 5.116.0~),
+               libkf5service-dev (>= 5.116.0~),
                libkf5syndication-dev (>= 1:5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
                libkf5windowsystem-dev (>= 5.115.0~),
-               libkf5xmlgui-dev (>= 5.115.0~),
+               libkf5xmlgui-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -34,10 +35,10 @@
                qttools5-dev-tools,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/knewstuff
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knewstuff
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knewstuff.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knewstuff
 Rules-Requires-Root: no
 
 Package: knewstuff-dialog
@@ -66,13 +67,13 @@
 Package: libkf5newstuff-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5archive-dev (>= 5.115.0~),
-         libkf5attica-dev (>= 5.115.0~),
-         libkf5kio-dev (>= 5.115.0~),
+Depends: libkf5archive-dev (>= 5.116.0~),
+         libkf5attica-dev (>= 5.116.0~),
+         libkf5kio-dev (>= 5.116.0~),
          libkf5newstuff5 (= ${binary:Version}),
          libkf5newstuffcore5 (= ${binary:Version}),
          libkf5newstuffwidgets5 (= ${binary:Version}),
-         libkf5xmlgui-dev (>= 5.115.0~),
+         libkf5xmlgui-dev (>= 5.116.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
